Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja.
Wątki z problemami zamieszczone w dziale "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Autor Wątek: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?  (Przeczytany 1513 razy)

Offline Predator

  • Full Member
  • ***
  • Wiadomości: 133
  • Reputacja: +1/-1
  • Szlachetnie po...
Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« dnia: Luty 18, 2020, 10:43:29 am »
Za jakis czas najprawdopodobniej zasiąde na innej dytrybucji bo od czasu do czasu szlag już mnie trafia. Niby jest ok, niby wszystko cacy a tak naprawdę wydawca Minta to jest *************, tyle w temacie. Dlaczego?
Ano dlatego że chwalą się nowymi numerkami przy nazwie Mint, tymczasem... jak zwykle zresztą, za jakis czas user i tak dojdzie w miejsce w którym napotka stare bebechy. Mamy numerek 19.3 w Mincie, wszyscy na forach w Ubuntu piszą że biblioteki libc6 w Ubuntu 19.1 są już w wersji 2.29 ... a w "Mięcie" jak zwykle coś!

C:\home\kot> sudo apt-get install libc6
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
libc6 is already the newest version (2.27-3ubuntu1).
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  libgsoap-2.8.60 libqt5opengl5 libqt5printsupport5 libvncserver1
  linux-headers-5.0.0-37 linux-headers-5.0.0-37-generic
  linux-image-5.0.0-37-generic linux-modules-5.0.0-37-generic
  linux-modules-extra-5.0.0-37-generic virtualbox-dkms
Aby je usunąć należy użyć "sudo apt autoremove".
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 6 nieaktualizowanych.
C:\home\kot>


No i teraz człowieku kombinuj jak zainstalować sobie najnowszy pakiet VirtualBox skoro pierdylion zależności wymaga nowszych bibliotek.
Już mnie ta ręczna aktualizacja systemu zaczyna lekko wkufaffaiać!
Ma ktoś pomysł aby w miarę szybko to ogarnąć?

Poprałem: https://packages.debian.org/pl/sid/amd64/libc6/download
ale za groma nie chce ruszyć!
Nawet błędu mi nie pokazuje dlaczego nie chce się instalować.
« Ostatnia zmiana: Luty 18, 2020, 02:16:26 pm wysłana przez pavroo »
Manjaro 19.0.2 x64 Xfce (5.4.22-1)
HW: i7-8550u + ATI520

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 2518
  • Reputacja: +32/-8
Odp: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« Odpowiedź #1 dnia: Luty 18, 2020, 11:23:08 am »
Z jednego słowa: poprałem wynika, że w istocie "popaprałeś" swój system. Nie wiem już który raz, ale może w punktach dojdzie w końcu:
1. Mint ma swój cykl wydawniczy, który można akceptować i wówczas nim się cieszyć, albo trzeba szukać innej dystrybucji. Najnowsze wydania Minta są oparte o korespondujące z nim, najnowsze wydania Ubuntu LTS. Mint 19 - niezależnie który "numerek", to zawsze będzie Ubutnu 18.04 LTS, albowiem ten Mint korzysta bezpośrednio z repozytoriów tej wersji Ubuntu. Cudów nie ma i nie będzie.
Nie wiem co Ty czytasz, ale na pewno nie to, co powinieneś. W Ubuntu 18.04 jest libc6 w wersji 2.27 i tak będzie do końca tej edycji prawdopodobnie, albowiem aktualizacja tej biblioteki pociągnęłaby za sobą przebudowę całego systemu praktycznie. Tu masz odpowiednią informację:
https://packages.ubuntu.com/search?suite=bionic&searchon=names&keywords=libc6
https://packages.ubuntu.com/search?suite=bionic-updates&searchon=names&keywords=libc6
2. Mieszanie repozytoriów (Ubuntu 18.04 i Debian Sid; zresztą jakichkolwiek innych) jest wyrazem kompletnego idiotyzmu i totalnego braku podstawowej wiedzy o funkcjonowaniu używanego przez siebie systemu.
3. Instalacja libc6 z Sida w Mint 19 spowodować może (i prawdopodobnie to zrobi), że system będzie bezużyteczny. Innymi słowy - odpowiadając na Twoje pytanie: nie da się bez przebudowania prawie całego systemu. Nie będzie to już Mint 19 i nie będziesz mógł korzystać z repozytoriów Mint 19/Ubuntu 18.04.
4. Jeśli chcesz mieć Minta i nowsze wersje aplikacji, to nie wolno Ci ruszać systemu bazowego, zaś aplikacje instalujesz w wersjach flatpak, snap lub appimage.
« Ostatnia zmiana: Luty 18, 2020, 11:52:00 am wysłana przez pavbaranov »

Offline arecki

  • Full Member
  • ***
  • Wiadomości: 159
  • Reputacja: +0/-0
Odp: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« Odpowiedź #2 dnia: Luty 18, 2020, 11:56:12 am »
Za jakis czas najprawdopodobniej zasiąde na innej dytrybucji bo od czasu do czasu szlag już mnie trafia. Niby jest ok, niby wszystko cacy a tak naprawdę wydawca Minta to jest ostry idiota, tyle w temacie. Dlaczego?
Ano dlatego że chwalą się nowymi numerkami przy nazwie Mint, tymczasem... jak zwykle zresztą, za jakis czas user i tak dojdzie w miejsce w którym napotka stare bebechy. Mamy numerek 19.3 w Mincie, wszyscy na forach w Ubuntu piszą że biblioteki libc6 w Ubuntu 19.1 są już w wersji 2.29 ... a w "Mięcie" jak zwykle coś!
Widzę, że kolega znalazł sobie kolejne forum do trolowania.
Widać kompletny brak wiedzy na temat zasad funkcjonowania dystrybucji, którą użytkujesz.
Stwierdzasz, że wydawca Minta to "********", to nawet szkoda komentować.

Chciałeś najnowszego VB? Wystarczyło poszukać lub założyć wątek z odpowiednim pytaniem, ale wolałeś znowu wylać własne "pomyje".
« Ostatnia zmiana: Luty 18, 2020, 06:09:10 pm wysłana przez lami07 »
Debian testing.

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1440
  • Reputacja: +7/-1
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« Odpowiedź #3 dnia: Luty 18, 2020, 03:49:24 pm »
@Predator
Chłopie wracaj do Windows-a, bo Linux nie jest dla Ciebie.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1633
  • Reputacja: +1/-0
  • RAM RANCH REALLY ROCKS!
Odp: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« Odpowiedź #4 dnia: Luty 18, 2020, 06:11:57 pm »
https://www.virtualbox.org/wiki/Linux_Downloads

W Ubuntu LTS więle nowych rzeczy jakoś da się wgrać, tylko warto zajrzeć choćby na stronę danego programu. Wszelkich libów nie ma co ruszać, bo to proszenie się o kłopoty.

https://snapcraft.io/store
To też się przyda.
Windows 10 | Arch Linux | Gentoo

Offline lami07

  • Global Moderator
  • Sr. Member
  • *****
  • Wiadomości: 485
  • Reputacja: +1/-0
Odp: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« Odpowiedź #5 dnia: Luty 18, 2020, 06:18:29 pm »
@Predator. Brawo chłopie. Dbasz o reputację wyniesioną z poprzedniego forum.
IRC - #linuxiarze.pl w sieci freenode.net
Matrix - #linuxiarze.pl w sieci matrix.org

Offline Predator

  • Full Member
  • ***
  • Wiadomości: 133
  • Reputacja: +1/-1
  • Szlachetnie po...
Odp: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« Odpowiedź #6 dnia: Luty 25, 2020, 11:29:08 am »
Śmiejcie się, smiejcie... pół internetu ma z tym problem. Nadal ni eudało mi sie zaktuwalizować libc6 z wersji starej do choćby 2.29 a wymaga tego choćby VirtualBox 6.0. Czepiliście się biednego człowieka jak rzep psiego ogona a tymczasem naprawdę tysiące ludzi ma z tym problem.
Cykle wydawnicze...
to nic innego jak dowód na fakt iż ubuntu/mint to po prostu szit i tyle w temacie.

Libc6 wydane prawie że z ubuntu 18.04 ... i pakowane do minta 18.1, 18.2, 19, 19.1, 19.2 i 19.3!
Poczekamy do maja 2020 na Minta v20 to... może w końcu zapakują libc6 w wersji 2.29 czyli w chwili w której będzie wydane już pewnie 3.31 ...

« Ostatnia zmiana: Luty 25, 2020, 11:33:25 am wysłana przez Predator »
Manjaro 19.0.2 x64 Xfce (5.4.22-1)
HW: i7-8550u + ATI520

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 2518
  • Reputacja: +32/-8
Odp: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« Odpowiedź #7 dnia: Luty 25, 2020, 04:38:37 pm »
Nie, to nie my czepiliśmy się Ciebie jak rzep itd., tylko Ty próbujesz gwałcić swój system bez podstawowej wiedzy na temat jego funkcjonowania.
I skończ z "szittrolowaniem", bo już każdy ma tego po prostu dość.

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1633
  • Reputacja: +1/-0
  • RAM RANCH REALLY ROCKS!
Odp: Mint 19.3 - jak zaktualizować libc6 z wersji 2.27 do 2.29 ?
« Odpowiedź #8 dnia: Luty 25, 2020, 06:22:15 pm »
Mint jest oparty na Ubuntu LTS i ma w większości dokładnie te same pakiety (bo prosto z repo Ubuntu). Wystarczy chwila, żeby znaleźć nowego VirtualBoxa. Ba, nawet "windowsowe" podejście od razu skieruje człowieka do strony programu, gdzie też czeka nowa wersja VB. Nawet na starusieńki CentOS6 dostępna jest najnowsza wersja, a tam masz bodajże glibc 2.12...

No ale oczywiście Ubuntu to szit, bo spece więcej poświęcą czasu na pisanie głupot, a mniej na zrozumienie podstaw.
Windows 10 | Arch Linux | Gentoo